## GnomeDbEntryWrapper

GnomeDbEntryWrapper — Abstract class that implements the GnomeDbDataEntry interface

## Synopsis

                GnomeDbEntryWrapper;
    GType       gnome_db_entry_wrapper_get_type (void);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----GnomeDbEntryShell
                                           +----GnomeDbEntryWrapper
                                                 +----GnomeDbEntryBoolean
                                                 +----GnomeDbEntryCidr
                                                 +----GnomeDbEntryNone
                                                 +----GnomeDbEntryPassmd5
                                                 +----GnomeDbEntryString
                                                 +----GnomeDbEntryTime

## Implemented Interfaces

GnomeDbEntryWrapper implements AtkImplementorIface and GnomeDbDataEntry.

## Properties

      "set-default-if-invalid" gboolean              : Read / Write

## Description

It inhertis the GnomeDbEntryShell class and adds the GnomeDbDataEntry interface to it. It has several pure virtual functions which MUST be implemented by classes which inherit it.

## Details

### GnomeDbEntryWrapper

    typedef struct _GnomeDbEntryWrapper GnomeDbEntryWrapper;

### gnome_db_entry_wrapper_get_type ()

    GType       gnome_db_entry_wrapper_get_type (void);

Returns : |

## Property Details

### The "`set-default-if-invalid`" property

      "set-default-if-invalid" gboolean              : Read / Write

Default value: FALSE